Retrieve Destination Details
Returns a destination object if a valid identifier was provided.
To find a destination's unique identifier, call the List All Groups endpoint and search the response items for your target destination by its name field. The group's id value is also the destination's id, since groups and destinations are mapped 1:1.
Request schema
Path parameters
The unique identifier for the destination within the Fivetran system.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/destinations/destinationId HTTP/1.1 Accept: application/json;version=2 Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The unique identifier for the destination within the Fivetran system
The name for the destination type within the Fivetran system.
Data processing location. This is where Fivetran will operate and run computation on data.
The unique identifier for the group within the Fivetran system.
Determines the time zone for the Fivetran sync schedule.
Destination setup status
Shift my UTC offset with daylight savings time (US Only)
The unique identifier for the self-served private link that is used by the connection
(Deprecated) The unique identifier for the hybrid deployment agent within the Fivetran system
The unique identifier for the hybrid deployment agent within the Fivetran system
The unique identifier for the proxy agent within the Fivetran system
Setup tests results for this destination
A human-readable name for the setup test step. For example: Validate Login, Test Connection, Check Permissions.
The result of the individual setup test step. Possible values: PASSED, FAILED, SKIPPED.
The result message for the setup test step. For example: Invalid login credentials.
Additional diagnostic information about the setup test result. Populated when the status is FAILED and more context is available beyond the message.
{ "code": "Success", "message": "Destination details retrieved successfully", "data": { "id": "destination_id", "service": "aiven_kafka_wh", "region": "GCP_US_EAST4", "group_id": "group_id", "time_zone_offset": "+3", "setup_status": "CONNECTED", "daylight_saving_time_enabled": true, "private_link_id": "private_link_id", "networking_method": "Directly", "local_processing_agent_id": "local_processing_agent_id", "hybrid_deployment_agent_id": "hybrid_deployment_agent_id", "proxy_agent_id": "proxy_agent_id", "setup_tests": [ { "title": "Validate Login", "status": "FAILED", "message": "Invalid login credentials.", "details": "Authentication failed (401 Unauthorized). Verify the provided credentials and permissions." } ], "config": { "bootstrap_servers": [ "string" ], "connection_method": "privatelink | direct", "data_format": "JSON | AVRO", "enable_single_topic": true, "num_of_partitions": 0, "replication_factor": 0, "sasl_mechanism": "SCRAM_SHA_512 | SCRAM_SHA_256", "sasl_plain_key": "string", "sasl_plain_secret": "string", "schema_registry": "AIVEN_KARAPACE | CONFLUENT_CLOUD", "schema_registry_api_key": "string", "schema_registry_api_secret": "string", "schema_registry_url": "string", "security_protocol": "SASL | SASL_PLAINTEXT" } } }